$ SAVE_VERIFY='F$VERIFY(0)
$ if p1 .Eqs. "CLEAN" then goto clean
$ if p1 .Eqs. "CLOBBER" then goto clobber
$ if p1 .Eqs. "INSTALL" then goto install
$!
$!	Compile the X11R4 XPOSTIT application
$!
$ Set Symbol/Scope=NoGlobal
$!
$!  Define logicals pointing to the needed directories
$!
$ x11lib_device = f$parse("[-.-.-.lib]",,,"DEVICE")
$ x11lib_directory = f$parse("[-.-.-.lib]",,,"DIRECTORY")
$ define/nolog x11lib 'x11lib_device''x11lib_directory'
$!
$ x11inc_device = f$parse("[-.-.-.include]",,,"DEVICE")
$ x11inc_directory = f$parse("[-.-.-.include]",,,"DIRECTORY")
$ define/nolog x11inc 'x11inc_device''x11inc_directory'
$!
$ xmu_device = f$parse("[-.-.-.include.xmu]",,,"DEVICE")
$ xmu_directory = f$parse("[-.-.-.include.xmu]",,,"DIRECTORY")
$ define/nolog x11xmu 'xmu_device''xmu_directory'
$!
$ xbm_device = f$parse("[-.-.-.x11]",,,"DEVICE")
$ xbm_directory = f$parse("[-.-.-.x11]",,,"DIRECTORY")! define/nolog x11xbm 'xbm_device''xbm_directory'
$ define/nolog x11xbm 'xbm_device''xbm_directory'
$!
$ xaw_device = f$parse("[-.-.-.include.xaw]",,,"DEVICE")
$ xaw_directory = f$parse("[-.-.-.include.xaw]",,,"DIRECTORY")
$ define/nolog x11xaw 'xaw_device''xaw_directory'
$!
$ x11vms_device = f$parse("[-.-.-.vms]",,,"DEVICE")
$ x11vms_directory = f$parse("[-.-.-.vms]",,,"DIRECTORY")
$ define/nolog x11vms 'x11vms_device''x11vms_directory'
$!
$!  Get the compiler options via the logical name COPTS
$!
$ cc_options = f$trnlnm("COPTS") + "/define=(XAW_BC)"
$!
$!  Get the linker options via the logical name LOPTS
$!
$ link_options = f$trnlnm("LOPTS")
$!
$!  Compile the "C" files
$!
$! procedure target	command 			depends upon
$! CALL MAKE FILE.OBJ	"CC ''cc_options' FILE.C"	FILE.C
$!
$ write sys$output "Compiling PLAID Widget source"
$ CALL MAKE PLAID.OBJ  		"CC ''cc_options' PLAID.C"	PLAID.C
$!
$ write sys$output "Compiling XPOSTIT sources"
$ CALL MAKE CONFIRM.OBJ  	"CC ''cc_options' CONFIRM.C"	CONFIRM.C
$ CALL MAKE MENU.OBJ  		"CC ''cc_options' MENU.C"	MENU.C
$ CALL MAKE NOTE.OBJ  		"CC ''cc_options' NOTE.C"	NOTE.C
$ CALL MAKE TITLE.OBJ  		"CC ''cc_options' TITLE.C"	TITLE.C
$ CALL MAKE UTIL.OBJ  		"CC ''cc_options' UTIL.C"	UTIL.C
$ CALL MAKE VERSION.OBJ		"CC ''cc_options' VERSION.C"    VERSION.C
$ CALL MAKE XPLAID.OBJ		"CC ''cc_options' XPLAID.C"	XPLAID.C
$ CALL MAKE XPOSTIT.OBJ  	"CC ''cc_options' XPOSTIT.C"	XPOSTIT.C
$!
$ write sys$output "Building XPOSTIT image"
$ CALL MAKE XPOSTIT.EXE	"LINK ''link_options' XPOSTIT/OPT"	*.OBJ
$!
$ deassign x11lib
$ deassign x11vms
$ deassign x11xmu
$ deassign x11xbm
$ deassign x11xaw
$!
$ exit
$!
$ Clobber:	! Delete executables, Purge directory and clean up object files and listings
$ Delete/noconfirm/log *.exe;*
$!
$ Clean:	! Purge directory, clean up object files and listings
$ Purge
$ Delete/noconfirm/log *.lis;*
$ Delete/noconfirm/log *.obj;*
$!
$ exit
$!
$ Install:
$ Copy/log xpostit.exe [-.-.-.bin]
$ Copy/log xpostit.com [-.-.-.bin]
$ Copy/log xpostit.txt [-.-.-.help]
$! Copy/log xpostit.ad  X11Resources:xpostit.dat
$ exit
$!
$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$	Argument = P'arg
$	If Argument .Eqs. "" Then Goto Exit
$	El=0
$Loop2:
$	File = F$Element(El," ",Argument)
$	If File .Eqs. " " Then Goto Endl
$	AFile = ""
$Loop3:
$	OFile = AFile
$	AFile = F$Search(File)
$	If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$	If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$	Goto Loop3
$NextEL:
$	El = El + 1
$	Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ Set Verify
$ 'P2
$ VV='F$Verify(0)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE
